local Pipeline(mariadb_version) = {
  kind: "pipeline",
  type: "docker",
  name: "maria-" + mariadb_version,
  steps: [
    {
      name: "build_and_publish_" + mariadb_version,
      image: "plugins/docker:linux-amd64",
      pull: "always",
      settings: {
        dockerfile: "Dockerfile",
        build_args: [
          "MARIA_VERSION=" + mariadb_version,
        ],
        registry: "docker.asperti.com",
        repo: "docker.asperti.com/paspo/mariadb-backup-slave",
        username: {
          from_secret: "docker_username",
        },
        password: {
          from_secret: "docker_password",
        },
        tags: [ "latest-" + mariadb_version, "maria-" + mariadb_version ],
        auto_tag: false,
        force_tag: true,
        daemon_off: false,
      }
    }
  ],
  trigger: {
    event: ['tag'],
  }
};

[
  Pipeline("11.4"),
  Pipeline("11.3"),
  Pipeline("11.2"),
  Pipeline("11.1"),
  Pipeline("11.0"),
  Pipeline("10.11"),
  Pipeline("10.6"),
  Pipeline("10.5"),
  Pipeline("10.4"),
]